Subject: bug#14062: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Mar 2013 14:20:36 +0200

> Date: Wed, 27 Mar 2013 10:45:26 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: Drew Adams <[email-masked]>, [email-masked]
> 
> On Wed, Mar 27, 2013 at 7:57 AM, Eli Zaretskii <[email-masked]> wrote:
> >> From: "Drew Adams" <[email-masked]>
> >> Date: Tue, 26 Mar 2013 16:33:22 -0700
> >>
> >> Still crashing, with a newer build from the other backtraces I sent earlier
> >> today.
> >
> > What URL did you download the binaries from?
> 
> >From here:
>   https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8

Thanks.

> And FWIW:
> 
>   C:\emacs>addr2line -e c:\emacs\emacs-24.3.50\bin\emacs.exe < c:\emacs\bt.txt
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0
>   ??:0

Something is wrong with your addr2line command or with something else,
because I get

  ??
  ??:0
  w32_backtrace at C:\emacs\trunk\src/w32fns.c:7711
  emacs_abort at C:\emacs\trunk\src/w32fns.c:7743
  terminate_due_to_signal at C:\emacs\trunk\src/emacs.c:343
  die at C:\emacs\trunk\src/alloc.c:6523
  w32_wnd_proc at C:\emacs\trunk\src/w32fns.c:3159
  ??
  ??:0
  ??
  ??:0
  ??
  ??:0
  ??
  ??:0
  w32_msg_pump at C:\emacs\trunk\src/w32fns.c:2489
  w32_msg_worker@4 at C:\emacs\trunk\src/w32fns.c:2615
  ??
  ??:0

which is unfortunately identical to the one from yesterday.  Line 3159
of w32fns.c is here:

    case WM_IME_STARTCOMPOSITION:
      if (!set_ime_composition_window_fn)
	goto dflt;
      else
	{
	  COMPOSITIONFORM form;
	  HIMC context;
	  struct window *w;

	  f = x_window_to_frame (dpyinfo, hwnd);
	  w = XWINDOW (FRAME_SELECTED_WINDOW (f));

	  form.dwStyle = CFS_RECT;
	  form.ptCurrentPos.x = w32_system_caret_x;
	  form.ptCurrentPos.y = w32_system_caret_y;

	  form.rcArea.left = WINDOW_TEXT_TO_FRAME_PIXEL_X (w, 0);
	  form.rcArea.top = (WINDOW_TOP_EDGE_Y (w)
			     + WINDOW_HEADER_LINE_HEIGHT (w)); <<<<<<<<<<<
	  form.rcArea.right = (WINDOW_BOX_RIGHT_EDGE_X (w)
			       - WINDOW_RIGHT_MARGIN_WIDTH (w)
			       - WINDOW_RIGHT_FRINGE_WIDTH (w));
	  form.rcArea.bottom = (WINDOW_BOTTOM_EDGE_Y (w)
				- WINDOW_MODE_LINE_HEIGHT (w));

	  context = get_ime_context_fn (hwnd);

which doesn't make sense, because I doubt that Drew invokes Windows
Input Method Editor in any way, shape or form.  So how a
WM_IME_STARTCOMPOSITION message got sent to our window procedure is a
mystery to me.  And what could be the problem with WINDOW_TOP_EDGE_Y
or with WINDOW_HEADER_LINE_HEIGHT is also not clear.